libterm-readline-gnu-perl (1.35-3) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ gregor herrmann ]
  * Explicitly set TERM for test (during build and autopkgtest). Thanks to
    Niko Tyni for noticing the failures on tests.reproducible-builds.org.
  * Update years of packaging copyright.
  * Bump debhelper compatibility level to 10.

 -- gregor herrmann <gregoa@debian.org>  Thu, 18 Jan 2018 23:26:08 +0100

libterm-readline-gnu-perl (1.35-2) unstable; urgency=medium

  * Team upload

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Florian Schlichting ]
  * Add 50dumbterm.patch (closes: #166987)
  * Forward other patches
  * Declare compliance with Debian Policy 4.1.1

 -- Florian Schlichting <fsfs@debian.org>  Fri, 24 Nov 2017 12:28:43 +0100

libterm-readline-gnu-perl (1.35-1) unstable; urgency=medium

  [ Martín Ferrari ]
  * Remove myself from Uploaders.

  [ gregor herrmann ]
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * New upstream version 1.35
    - Fixes "FTBFS on 64-bit big endian architectures" (Closes: #840689)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 03 Nov 2016 17:36:31 +0100

libterm-readline-gnu-perl (1.34-1) unstable; urgency=medium

  * Imported Upstream version 1.34
  * Update copyright stanza for Devel::PPPort

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 12 Jun 2016 19:15:09 +0200

libterm-readline-gnu-perl (1.33-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 1.32 and 1.33
  * Refresh 20new.patch patch
  * Declare compliance with Debian policy 3.9.8
  * debian/rules: Enable bindnow hardening flag

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 09 Jun 2016 21:26:11 +0200

libterm-readline-gnu-perl (1.31-1) unstable; urgency=medium

  * Imported Upstream version 1.31
  * Drop 50spelling-error-in-manpage.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 06 Mar 2016 07:10:00 +0100

libterm-readline-gnu-perl (1.30-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * Imported Upstream version 1.29
    - pop the stdio PerlIO layer only when utf8 layer is included for remote
      debugging. (Closes: #807253)
  * Refresh 10term.patch patch
  * Refresh 20new.patch patch
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.7

  [ gregor herrmann ]
  * Run tests under C.UTF-8 locale.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 1.30
  * Add 50spelling-error-in-manpage.patch patch.
    Fix small spelling error in manpage (in comment)
  * Add lintian override for spelling of Synopsys.
    In this part of the POD the word Synopsys is refered to for SPP
    (Synopsys Plus Perl).

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 03 Mar 2016 18:45:48 +0100

libterm-readline-gnu-perl (1.28-2) unstable; urgency=medium

  * Drop obsolete debian/patches/30outstream.patch (Closes: #807252)

 -- Niko Tyni <ntyni@debian.org>  Sun, 06 Dec 2015 21:12:31 +0200

libterm-readline-gnu-perl (1.28-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * New upstream release.
  * Refresh patches.
  * Update years of packaging copyright.
  * debian/copyright: update information about third-party files.
  * debian/rules: enable test suite during build.
    Seems to run non-interactively by now.
  * Add .history_test to debian/clean to enable building twice.
    (Created during tests.)
  * Add lintian override for hardening-no-fortify-functions.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Oct 2015 17:12:58 +0100

libterm-readline-gnu-perl (1.24-2) unstable; urgency=medium

  * Use $Config{vendorarch} in debian/rules as a preparation for the
    multi-arched perl 5.20.

 -- gregor herrmann <gregoa@debian.org>  Mon, 02 Jun 2014 22:38:43 +0200

libterm-readline-gnu-perl (1.24-1) unstable; urgency=low

  * Imported Upstream version 1.24
  * Refresh 20new.patch patch (offset)
  * Don't install README file to docs

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 24 Mar 2014 19:23:21 +0100

libterm-readline-gnu-perl (1.23-1) unstable; urgency=low

  * Imported Upstream version 1.23
    - fix not to clobber binmode layer (utf-8) on filehandles
      (Closes: #547231).
  * Refresh 20new.patch (offset)
  * Drop 50-fix-manpage-has-errors-from-pod2man.patch patch
  * Don't need to generate upstream changes from README.
    Upstream now ship the changes in a separate Changes file. Drop the
    override for the generation of the Changes file and drop
    Changes.generated from files to be removed/cleaned up after the package
    is built.
  * Add myself to copyright for debian/* packaging files
  * Add myself to Uploaders

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Mar 2014 16:06:51 +0100

libterm-readline-gnu-perl (1.22-1) unstable; urgency=low

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.
  * Update years of packaging copyright.
  * Use debhelper 9.20120312 to get all hardening flags.
  * Declare compliance with Debian Policy 3.9.5.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 1.22
    - Fixes "Conflicting declaration of rl_last_func" (Closes: #688386)
  * Refresh 10term.patch (offset)
  * Refresh 20new.patch (offset)
  * Refresh 30outstream.patch (offset)
  * Refresh 40terminfo.patch (offset)
  * Add 50-fix-manpage-has-errors-from-pod2man.patch patch
  * Update copyright years for upstream files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 16 Mar 2014 00:40:58 +0100

libterm-readline-gnu-perl (1.20-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * New patch 40terminfo.patch: check for -ltinfo in Makefile.PL. Thanks
    to Sven Joachim for the bug report and the proposals for the fix.
    (Closes: #644423)
  * debian/copyright: update license stanzas and list of debian/*
    contributors.
  * Bump debhelper compatibility level to 8.
  * Set Standards-Version to 3.9.2 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Fri, 07 Oct 2011 17:07:26 +0200

libterm-readline-gnu-perl (1.20-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Use new 3.0 (quilt) source format
  * Add myself to Copyright and Uploaders
  * Standards-Version 3.8.4 (no changes)
  * Rewrite control description
  * Extract debian/ copyright holders from changelog
  * Install a generated changelog file

  [ Ryan Niebur ]
  * Update ryan52's email address

  [ gregor herrmann ]
  * debian/copyright: update years of upstream copyright.
  * Refresh 30outstream.patch.
  * Replace fix_shebang.patch with an override in debian/rules.

 -- Jonathan Yu <jawnsy@cpan.org>  Mon, 03 May 2010 10:10:54 -0400

libterm-readline-gnu-perl (1.19-2) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * Remove first part of 30outstream.patch, applied upstream. Thanks to Niko
    Tyni for spotting (closes: #520590).
  * Replace build dependency on libreadline5-dev with libreadline-dev,
    thanks to Matthias Klose for the heads-up.
  * Drop version from perl build dependency.
  * Set Standards-Version to 3.8.3 (no further changes).
  * Add /me to Uploaders.
  * Simplify debian/rules, bump build dependencies on debhelper and quilt.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:35:52 +0200

libterm-readline-gnu-perl (1.19-1) unstable; urgency=low

  [ Ryan Niebur ]
  * New upstream release
  * debian policy 3.8.1

  [ gregor herrmann ]
  * debian/control: mention module name in long description.

 -- Ryan Niebur <ryanryan52@gmail.com>  Fri, 20 Mar 2009 19:51:44 -0700

libterm-readline-gnu-perl (1.18-1) unstable; urgency=low

  [ Martín Ferrari ]
  * Updating my email address

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Ryan Niebur ]
  * New upstream release
  * debhelper 7
  * add myself to uploaders
  * machine readable copyright
  * bump Standards Version to 3.8.0

  [ gregor herrmann ]
  * debian/watch: extended regexp for matching upstream releases.

 -- Ryan Niebur <ryanryan52@gmail.com>  Fri, 27 Feb 2009 23:10:16 -0800

libterm-readline-gnu-perl (1.17a-2) unstable; urgency=low

  * Disable the test suite again, it needs an interactive terminal to run.
    (Closes: #465619)
  * Switch to my @debian.org email address.

 -- Niko Tyni <ntyni@debian.org>  Tue, 19 Feb 2008 14:41:04 +0200

libterm-readline-gnu-perl (1.17a-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Added myself to Uploaders.
    - Bumped Standards-Version (no changes).
    - s/dpatch/quilt/.
  * debian/watch: upgraded version, change to dist/ URL.
  * debian/rules:
    - remove unused dh_*
    - use quilt (and properly depend on it)
    - use debhelper instead of manually handling various things
    - removed shebang corrections (moved to patch)
    - always use -g in CFLAGS and honour noopt
    - use DESTDIR in make
    - use install-stamp
    - fix various dependencies.
  * debian/patches/*: converted to quilt.

 -- Martín Ferrari <martin.ferrari@gmail.com>  Mon, 11 Feb 2008 11:31:40 -0200

libterm-readline-gnu-perl (1.16-3) UNRELEASED; urgency=low

  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/rules: remove /usr/share/perl5 (and nothing else) only if it
    exists.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 09 Oct 2007 22:32:20 +0200

libterm-readline-gnu-perl (1.16-2) unstable; urgency=low

  * debian/patches/30outstream.dpatch:
    + fix segmentation fault with "PERLIO=stdio". (Closes: #350991)
  * Upgrade to Standards-Version 3.7.2. No changes needed.
  * Upgrade to debhelper compatibility level 5.

 -- Niko Tyni <ntyni@iki.fi>  Sat, 17 Jun 2006 18:24:37 +0300

libterm-readline-gnu-perl (1.16-1) unstable; urgency=low

  * New upstream release
  * debian/control: Added me to Uploaders

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Wed,  5 Apr 2006 11:32:46 +0200

libterm-readline-gnu-perl (1.15-3) unstable; urgency=low

  * Fixed maintainer email address. (Closes: #343484)
  * Add myself to Uploaders.
  * Migrate to dpatch.
  * debian/patches/30outstream.dpatch:
    + make sure the 'rl_outstream' variable inside libreadline
      is always in sync. (Closes: #236018)
  * Add debian/watch.

 -- Niko Tyni <ntyni@iki.fi>  Sun, 15 Jan 2006 22:31:22 +0200

libterm-readline-gnu-perl (1.15-2) unstable; urgency=low

  * Moved to libreadline5-dev, fixing double-free/corruption (Closes:
    #304604, #322746, #323849)

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 30 Aug 2005 12:23:11 -0500

libterm-readline-gnu-perl (1.15-1) unstable; urgency=low

  * New upstream release
  * New maintainer: Debian Perl group
  * Bumped up standards-version to 3.6.2

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 15 Jul 2005 14:35:39 +0300

libterm-readline-gnu-perl (1.14-2) unstable; urgency=low

  * Bug fix: "libterm-readline-gnu-perl: package description syntax",
    thanks to Nicolas Bertolissio (Closes: #207230).
  * Deleted watch file.

 -- Joerg Jaspert <joerg@debian.org>  Sat, 15 Nov 2003 22:47:38 +0100

libterm-readline-gnu-perl (1.14-1) unstable; urgency=low

  * New Upstream Version (closes: #187448)
    - kludge not to cause segmentation fault on Perl 5.8.0
          w/PerlIO and FileHandle (ex. CPAN.pm)
    - clean up Makefile.PL (use strict, fix for HPUX and FreeBSD,
      fix typo, etc.)
  * Use patch from Nicolas Bertolissio to fix the
    "unintialized value message" (closes: #99843)
  * Update Section to perl.
  * Use patch from Nicolas Bertolissio to fix the "new" method which
    (closes: #204362)

 -- Joerg Jaspert <joerg@debian.org>  Fri, 22 Aug 2003 18:38:29 +0200

libterm-readline-gnu-perl (1.13-1.1) unstable; urgency=low

  * NMU for perl 5.8. No changes except a build-dep on perl >= 5.8

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Jul 2002 05:19:05 +0000

libterm-readline-gnu-perl (1.13-1) unstable; urgency=low

  * New Upstream Version
    - readline-4.2 support
    - new variables
      rl_completion_suppress_append
      rl_completion_mark_symlink_dirs
    - new functions
      rl_replace_line()
      rl_completion_mode()
    - tgetstr() calls tput() to apply padding information.  No
      more "$<2>" on prompt.
    - shadow_redisplay() with ornament works on xterm.

 -- Joerg Jaspert <joerg@debian.org>  Sun, 28 Jul 2002 18:25:29 +0200

libterm-readline-gnu-perl (1.12-5) unstable; urgency=low

  * Applied Patch from Upstream which closes the bug for
    "Ornaments and shadow_redisplay don't mix" (closes: #45949)

 -- Joerg Jaspert <joerg@debian.org>  Sun, 28 Jul 2002 02:21:38 +0200

libterm-readline-gnu-perl (1.12-4) unstable; urgency=low

  * Rebuild with newest libreadline.
  * Updated Standards-version in debian/control.
  * Build-Depends for debhelper now for Version > 4.x and DH_COMPAT in
    debian/rules is 4 now.
  * Cleaned debian/rules a bit.
  * Remove empty /usr/share/perl5 from .deb

 -- Joerg Jaspert <joerg@debian.org>  Sun, 21 Jul 2002 23:53:49 +0200

libterm-readline-gnu-perl (1.12-3) unstable; urgency=low

  * Changed my Email to the @debian.org
  * Added debian/watch file for uscan.

 -- Joerg Jaspert <joerg@debian.org>  Thu, 18 Apr 2002 21:20:49 +0200

libterm-readline-gnu-perl (1.12-2) unstable; urgency=low

  * Updated debian/copyright
  * This Bug is closed since 1.10 so close it now. (closes: #69816)

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Fri,  5 Apr 2002 18:22:50 +0200

libterm-readline-gnu-perl (1.12-1) unstable; urgency=low

  * New Maintainer (closes: #141230)
  * Acknowledge the NMU Bugfixes.
   (closes: #67054, #67804, #60845, #87030,  #65374, #80688, #84505, #78657, #67745, #87405)
  * New Upstream Version.
  * Removed postinst and prerm. debhelper creates the same one, we dont need special things in
    here.
  * Reworked debian/rules to use more of debhelper and be a little bit easier to read.
    Hope i dont break anything with it.

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Fri,  5 Apr 2002 15:56:11 +0200

libterm-readline-gnu-perl (1.10-1) unstable; urgency=low

  * New upstream version
  * Made minor modifications to debian/*.  Package continues to be lintian
    clean primarily due to Matthias's and Raphael's work.
  * It looks like bug #69816 is fixed, I've asked the submitter if they
    can duplicate it with this new package.
  * I can still repro bug #45949 and I'll check into it.

 -- Darren Stalder <torin@daft.com>  Thu, 10 May 2001 23:35:04 -0700

libterm-readline-gnu-perl (1.09-0.1) unstable; urgency=low

  * Non Maintainer Upload.
  * New upstream version. Closes: #78657, #84505
  * Correct permissions on postinst/prerm. Closes: #67804
  * Built against latest libraries. Closes: #65374
  * Updated to latest perl policy. Closes: #80668
  * This new upstream version does build with the
    latest libraries. Closes: #87030
  * Commented out the make test. On the command line it does work ok
    but it waits indefinitely when runned from debian/rules with debuild.
  * Updated to latest policy. Lintian clean again.

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 24 Feb 2001 14:17:53 +0100

libterm-readline-gnu-perl (1.07-2.1) unstable; urgency=low

  * NMU, recompiled for libreadline4 (closes grave #60845, #67054).
  * debian/control: Added Build-Depends.
  * Made lintian clean.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Tue, 25 Jul 2000 06:11:57 +0200

libterm-readline-gnu-perl (1.07-2) unstable; urgency=low

  * make test opens /dev/tty.  The autobuilders run from cron and
    therefore don't have a /dev/tty.  Therefore the package fails to build
    under the autobuilders.
    Using the idea from Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>,
    make test only runs if /dev/tty is available.  Closes Bug#42882.

 -- Darren Stalder <torin@daft.com>  Fri, 13 Aug 1999 00:59:45 -0700

libterm-readline-gnu-perl (1.07-1) unstable; urgency=low

  * New upstream version.
  * Use correct LDLOADLIBS line.  Thanks to Manish Singh <yosh@gimp.org>
    for this.  Fixes Bug#41868,#41677,#42018.

 -- Darren Stalder <torin@daft.com>  Tue, 10 Aug 1999 04:07:20 -0700

libterm-readline-gnu-perl (1.06-1) unstable; urgency=low

  * New Maintainer.
  * New upstream version.
  * Complies with Perl packaging standard 1.0.
  * Completely rewrote debian/rules to my standards.
  * Rewrote control description section.
  * Changed source package name to be the same as the (one) binary package.
  * Changed priority to optional.

 -- Darren Stalder <torin@daft.com>  Tue, 13 Jul 1999 01:24:06 -0700

libterm-readline-gnu-perl (1.03-1) unstable; urgency=low

  * Initial release.

 -- Ben Gertzfield <che@debian.org>  Tue, 13 Oct 1998 17:44:34 -0700
